- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::ServerProtocol::Security Class Referenceabstract

An interface used by ServerProtocol to enable TLS. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocol::Security:

## Public Member Functions
virtual bool | securityEnabled () const =0
virtual void | securityStart ()=0
virtual | ~Security ()

## Detailed Description

An interface used by ServerProtocol to enable TLS.

Definition at line 78 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

GPop::ServerProtocol::Security::~Security | ( |  | ) |
| virtual

Definition at line 630 of file gpopserverprotocol.cpp.

## Member Function Documentation

virtual bool GPop::ServerProtocol::Security::securityEnabled | ( |  | ) | const
| pure virtual

Implemented in GPop::ServerPeer.

Referenced by GPop::ServerProtocol::ServerProtocol().

virtual void GPop::ServerProtocol::Security::securityStart | ( |  | ) |
| pure virtual

Implemented in GPop::ServerPeer.

The documentation for this class was generated from the following files:

- gpopserverprotocol.h
- gpopserverprotocol.cpp